#include<iostream>

int main(){
    int h;
    int w;
    char tmp;

    std::cin >> h >> w;

    for(int i = 0; i < h; ++i){
        for(int j = 0; j < w; ++j){
            std::cin >> tmp;
        }
    }

    std::cout << -1 << std::endl;

    return 0;
}